<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Location;

class LocationsController extends Controller
{
    /**
     * Get Locations.
     */
    public function index()
    {
        $data = array();

        $query = Location::query();

        if(isset($_REQUEST['city']) && !empty($_REQUEST['city'])) {
            $query->where('city', $_REQUEST['city']);
        }

        $locations = $query->orderBy('zip', 'asc')->get();

        if ($locations->isNotEmpty()) {
            $data = [
                'status' => true,
                'data' => $locations
            ];
        }
        else {
            $data = [
                'status' => false,
                'message' => 'No location found'
            ];

        }

        return response()->json([
            $data
        ]);
    }
}
