@extends('layouts.master')

@section('title', 'Waste Types')

@section('content')
    <section class="content">
        <div class="container-fluid">
            <a href="{{ route('admin.waste.add') }}" class="btn btn-success mb-3">
                <i class="fas fa-plus"></i> Add Waste Type
            </a>
            @if(Session::has('error'))
                <div class="alert alert-danger">
                    {{ Session::get('error') }}
                </div>
            @endif
            @if(Session::has('success'))
                <div class="alert alert-success">
                    {{ Session::get('success') }}
                </div>
            @endif
            <table id="cityList" class="table table-striped table-bordered table-hover display dataTable no-footer dtr-inline">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if($wastes)
                    @foreach($wastes as $waste)
                    <tr>
                        <td>{{ $waste->id }}</td>
                        <td>{{ $waste->name }}</td>
                        <td><span class="btn {{ $waste->status == 'enable' ? 'btn-success' : 'btn-danger' }}">{{ ucfirst($waste->status) }}</span></td>
                        <td>
                            <a href="{{ route('admin.waste.edit',$waste->id) }}" class="btn btn-success"><i class="fas fa-edit"></i></a>
                            <a href="{{ route('admin.waste.delete',$waste->id) }}" class="btn btn-danger delete-city"><i class="fas fa-times"></i></a>
                        </td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>
            </table>
        </div>
    </section>
@endsection

@section('pageJS')
<!-- Page Tables specific script -->
<script>
  $(function () {
    if($('#cityList').length > 0) {
        $('#cityList').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
        });
    }

    $(".delete-city").on("click",function(e){
        var confirmed = confirm("Are you sure you want to Waste type?");
        if (!confirmed) {
            e.preventDefault();
        }
    })

  });
</script>
@endsection
